PageOrientation (JavaFX 13)

Module javafx.graphics
Package javafx.print

## Enum PageOrientation

- java.lang.Object
- - java.lang.Enum<PageOrientation>
  - - javafx.print.PageOrientation

- All Implemented Interfaces:
    `Serializable`, `Comparable<PageOrientation>`

      public enum PageOrientation
      extends Enum<PageOrientation>

  Specifies the orientation of the media sheet for printed pages.
  Since:
    JavaFX 8.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LANDSCAPE` | The printable area's origin is at the bottom left of the paper.
    `PORTRAIT` | The printable area's origin is at the top left of the paper.
    `REVERSE_LANDSCAPE` | The printable area's origin is at the top right of the paper.
    `REVERSE_PORTRAIT` | The printable area's origin is at the bottom right of the paper.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PageOrientation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PageOrientation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PORTRAIT

          public static final PageOrientation PORTRAIT

      The printable area's origin is at the top left of the paper. X coordinates will increase across the short edge of the paper. Y coordinates will increase along the long edge of the paper.

    - #### LANDSCAPE

          public static final PageOrientation LANDSCAPE

      The printable area's origin is at the bottom left of the paper. X coordinates will increase along the long edge of the paper. Y coordinates will increase along the short edge of the paper.

    - #### REVERSE_PORTRAIT

          public static final PageOrientation REVERSE_PORTRAIT

      The printable area's origin is at the bottom right of the paper. X coordinates will increase across the short edge of the paper. Y coordinates will increase along the long edge of the paper. i.e. rotated 180 degrees from `PORTRAIT`.

    - #### REVERSE_LANDSCAPE

          public static final PageOrientation REVERSE_LANDSCAPE

      The printable area's origin is at the top right of the paper. X coordinates will increase along the long edge of the paper. Y coordinates will increase along the short edge of the paper. i.e. rotated 180 degrees from `LANDSCAPE`.

  - ### Method Detail

    - #### values

          public static PageOrientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PageOrientation c : PageOrientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PageOrientation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null